Core object 'UserCollapsibleSidebarHandler' is unknown.

  • Affected Version
    WoltLab Suite 5.4

    Seit dem Update auf die neuste Patch Version der WoltLab Suite 5.4 tritt beim Aufruf der Seite folgender Fehler auf:


    Requested URL
    GET /user/1762-nexxx?
    Referrer
    https://community.domain.de/members-list?sortField=activityPoints&sortOrder=DESC&letter=H&s=6df4bf375ded725ac5554393a83422427a021c9b
    Error Message
    Core object 'UserCollapsibleSidebarHandler' is unknown.
    Type
    wcf\system\exception\SystemException
    File (Line)
    /home/users/crx-community/www/lib/system/WCF.class.php (938)
    Stacktrace
    1. /home/users/crx-community/www/lib/system/WCF.class.php (914): wcf\system\WCF::__callStatic(…)
    2. /home/users/crx-community/www/templates/compiled/4_wcf_1_userException.php (2806): wcf\system\WCF->__call(…)
    3. /home/users/crx-community/www/lib/system/template/TemplateEngine.class.php (346): include(…)
    4. /home/users/crx-community/www/lib/system/exception/NamedUserException.class.php (43): wcf\system\template\TemplateEngine->display(…)
    5. /home/users/crx-community/www/lib/system/exception/IllegalLinkException.class.php (36): wcf\system\exception\NamedUserException->show(…)
    6. /home/users/crx-community/www/lib/system/request/RequestHandler.class.php (123): wcf\system\exception\IllegalLinkException->show(…)
    7. /home/users/crx-community/www/index.php (11): wcf\system\request\RequestHandler->handle(…)


    Der Fehler tritt unabhängig von der PHP-Version auf (Getestet unter 7.4, 8.0 und 8.1)

    Edited once, last by Mintux ().

  • Hallo,


    der Thread kann geschlossen werden. Der Fehler konnte eingerenzt werden. Es liegt an dem Zusammenspiel zwischen dem Plugin Power-Einstellungen für WoltLab Suite und der neusten Patch-Version der Woltlab Suite 5.4.


    Konkret muss die Einstellung "(Rechte) Seitenleiste ein- und ausklappbar machen" der Power-Einstellungen deaktiviert werden, da die Methode wohl nicht mehr unterstützt ist. Leider war die Fehlermeldung hier sehr undeutlich und ich bin erst im Verlauf des Tages auf die entsprechende Einstellung des Plugins gestoßen.


    Viele Grüße

    Mintux

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!